#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 8

OneWire oneWire(ONE_WIRE_BUS);

DallasTemperature sensors(&oneWire);

float tempC = 0;
float tempF = 0;

void setup(void)
{
  Serial.begin(9600);
  sensors.begin();
}

void loop(void)
{ 

  sensors.requestTemperatures();
  tempC = sensors.getTempCByIndex(0);
  tempF = sensors.toFahrenheit(tempC);
  
  printTemperature();
  
  delay(1000);
}

void printTemperature()
{
  Serial.print(tempC);
  Serial.print(char(176));
  Serial.print("C");
  Serial.print("\t");
  Serial.print(tempF);
  Serial.print(char(176));
  Serial.print("F");
  Serial.print("\n");
}
